package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterLakeWaterLevel;
import com.lightinit.hsdatashow.entity.StWaterLakeWaterLevelExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterLakeWaterLevelMapper {
    long countByExample(StWaterLakeWaterLevelExample example);

    int deleteByExample(StWaterLakeWaterLevelExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterLakeWaterLevel record);

    int insertSelective(StWaterLakeWaterLevel record);

    List<StWaterLakeWaterLevel> selectByExample(StWaterLakeWaterLevelExample example);

    StWaterLakeWaterLevel selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterLakeWaterLevel record, @Param("example") StWaterLakeWaterLevelExample example);

    int updateByExample(@Param("record") StWaterLakeWaterLevel record, @Param("example") StWaterLakeWaterLevelExample example);

    int updateByPrimaryKeySelective(StWaterLakeWaterLevel record);

    int updateByPrimaryKey(StWaterLakeWaterLevel record);
}